:root {
    --white-color: #ffffff;
    --bg-color: #f3f3f3;
    --hero-text: rgb(254, 254, 254);
    --text-color: #191919;
    --btn-color: #007bff;
    --btn-hover-color: #0056b3;
    --copyright-text: #777;
    --container-padding: 15px;
    --border-radius: 8px;
    --box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    --card-body: #ffffff;
    --banner-color: #0d6bd1;
}

@media (prefers-color-scheme: dark) {
    :root {
        --white-color: #0e1011;
        --bg-color: #15181a;
        --hero-text: #e0e0e0;
        --text-color: #e8e8e8;
        --btn-color: #005fd4;
        --btn-hover-color: #003f91;
        --copyright-text: #bbb;
        --container-padding: 15px;
        --border-radius: 8px;
        --card-body: #0e1011;
        --banner-color: #111a23;
    }
}

body {
    font-family: Arial, sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
    font-size: 20px;
}

::-webkit-scrollbar {
    width: 12px
}

::-webkit-scrollbar-track {
    background: transparent
}

::-webkit-scrollbar-thumb {
    background-color: #0d6ed5;
    border-radius: 6px
}

::-webkit-scrollbar-thumb:hover {
    background-color: #0b5e8b
}

.card-body {
    background-color: var(--card-body);
}

.container {
    padding: var(--container-padding);
}

.hero {
    background-size: cover;
    color: var(--hero-text);
    padding: 100px 0;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.minigames {
    padding: 50px 0;
}

.card,
.contact-cta-wrap {
    border: none;
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
    transition: transform 0.3s;
    margin-bottom: 20px;
}

.card:hover {
    transform: translateY(-5px);
}

.card img {
    border-top-left-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
    background-color: rgb(8, 15, 22);
    border: 5px solid var(--card-body);
}

.card-title {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}


.btn-primary {
    background-color: var(--btn-color);
    border-color: var(--btn-color);
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.3s;
}

.btn-primary:hover {
    background-color: var(--btn-hover-color);
    transform: scale(1.05);
}

.contact-cta-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--white-color);
    color: var(--text-color);
    padding: 20px;
    border-radius: var(--border-radius);
}

.contact-cta-wrap .title {
    margin: 0;
}

.copyright {
    padding: 20px 0;
    color: var(--copyright-text);
}

.card-title,
.title {
    font-weight: bold;
}

.banner {
    background-color: var(--banner-color);
    box-shadow: var(--box-shadow);
}

/* faq */

.faq-item {
    background-color: var(--white-color);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow);
    padding: 20px;
    transition: transform 0.3s;
}

.faq-item:hover {
    transform: translateY(-5px);
    background-color: var(--bg-color);
}

.faq-item h5 {
    color: var(--btn-color);
}

.faq-item p {
    color: var(--text-color);
}

.FAQs {
    max-width: 78.5%;
    margin: 0 auto;
    padding: 20px;
}

#pages {
    max-width: 89%;
    margin-left: 21%;
}

/* support */
.breadcrumb {
    margin-bottom: 20px;
    background: none;
}

.search-bar input {
    margin-bottom: 20px;
    background-color: rgb(233, 233, 233);
}

.toc,
.content {
    padding: 10px;
    /* border: 1px solid #ddd; */
    border-radius: 8px;
    box-shadow: var(--box-shadow);
    margin-bottom: 20px;
}

.toc ul {
    list-style-type: none;
    padding-left: 0;
}

.toc ul li {
    margin: 5px 0;
}

.toc ul li::before {
    content: "• ";
}

.content-section {
    padding: 20px;
    border-radius: 5px;
}

.content-section h2 {
    margin-top: 20px;
}

#prev-post a,
#next-post a {
    text-decoration: none;
}

#prev-post .label,
#next-post .label {
    color: var(--copyright-text);
    transition: color 0.1s;
}

#prev-post .label:hover,
#next-post .label:hover {
    color: var(--btn-color);
}

#prev-post .title,
#next-post .title {
    color: var(--text-color);
}

#prev-post a:hover .title,
#next-post a:hover .title {
    color: var(--text-color);
}

#hidden_color {
    text-decoration: none;
    color: var(--text-color);
    transition: color 0.1s;
}

#hidden_color:hover {
    color: var(--btn-color)
}

@media (max-width: 768px) {
    body {
        font-size: 16px;
    }

    .FAQs {
        padding: 15px;
        max-width: 100%;
    }

    #pages {
        margin-left: 10%;
        margin-right: 10%;
    }
}